LomaxDistribution (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.distributions

## Class LomaxDistribution

- java.lang.Object
- - org.cloudbus.cloudsim.distributions.ParetoDistr
  - - org.cloudbus.cloudsim.distributions.LomaxDistribution

- All Implemented Interfaces:
    ContinuousDistribution

      public class LomaxDistribution
      extends ParetoDistr
      implements ContinuousDistribution

  The Class LomaxDistribution.
  Since:
    CloudSim Toolkit 1.0
  Author:
    Marcos Dias de Assuncao

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LomaxDistribution(double shape, double location, double shift)` Instantiates a new lomax distribution.
    `LomaxDistribution(Random seed, double shape, double location, double shift)` Instantiates a new lomax distribution.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `sample()` Sample the random number generator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LomaxDistribution

          public LomaxDistribution(double shape,
                           double location,
                           double shift)

      Instantiates a new lomax distribution.
      Parameters:
        `shape` - the shape
        `location` - the location
        `shift` - the shift

    - #### LomaxDistribution

          public LomaxDistribution(Random seed,
                           double shape,
                           double location,
                           double shift)

      Instantiates a new lomax distribution.
      Parameters:
        `seed` - the seed
        `shape` - the shape
        `location` - the location
        `shift` - the shift

  - ### Method Detail

    - #### sample

          public double sample()

      Description copied from interface: `ContinuousDistribution`
      Sample the random number generator.
      Specified by:
        `sample` in interface `ContinuousDistribution`
      Overrides:
        `sample` in class `ParetoDistr`
      Returns:
        The sample

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.